%define	module	pyprocps

Summary:	Python module for gathering process information from /proc on Linux systems
Summary(pl.UTF-8):	Moduł Pythona do zbierania informacji o procesach z linuksowego katalogu /proc
Name:		python-%{module}
Version:	0.4
Release:	4
License:	PSF
Group:		Libraries/Python
Source0:	http://eli.criffield.net/pyprocps/pyprocps-%{version}.tar.gz
# Source0-md5:	be7b45655285875bf782fff3e948040e
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
URL:		http://eli.criffield.net/pyprocps/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the information in /proc on Linux systems and
presents it.

%description -l pl.UTF-8
Ten moduł analizuje i obrazuje informacje z katalogu /proc w systemach
linuksowych.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyprocps.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 915b68d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 37ba656
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 7ea88c9
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3394b1a
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c5ad6ae
- release 2

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cda1971
- up to 0.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8b13e7f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dadee35
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 99dd857
- pl, python epoch

* Thu Nov 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a1f5b0
- noarch

* Thu Nov 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fec37f
- initial

